package com.zbf.system.service;

import com.zbf.system.domain.OutBound;

import java.util.List;

/**
 * 出库申请单Service接口
 *
 * @author tony
 * @date 2024-08-07
 */
public interface IOutBoundService
{
    /**
     * 查询出库申请单
     *
     * @param id 出库申请单主键
     * @return 出库申请单
     */
    public OutBound selectOutBoundById(Long id);

    /**
     * 查询出库申请单列表
     *
     * @param outBound 出库申请单
     * @return 出库申请单集合
     */
    public List<OutBound> selectOutBoundList(OutBound outBound);

    /**
     * 新增出库申请单
     *
     * @param outBound 出库申请单
     * @return 结果
     */
    public int insertOutBound(OutBound outBound);

    /**
     * 修改出库申请单
     *
     * @param outBound 出库申请单
     * @return 结果
     */
    public int updateOutBound(OutBound outBound);

    /**
     * 批量删除出库申请单
     *
     * @param ids 需要删除的出库申请单主键集合
     * @return 结果
     */
    public int deleteOutBoundByIds(String ids);

    /**
     * 删除出库申请单信息
     *
     * @param id 出库申请单主键
     * @return 结果
     */
    public int deleteOutBoundById(Long id);

    /**
     * 批量禁用出库申请单
     *
     * @param ids 需要禁用的出库申请单主键集合
     * @return 结果
     */
    public int disabledOutBoundByIds(Long[] ids);

    /**
     * 批量启用出库申请单
     *
     * @param ids 需要启用的出库申请单主键集合
     * @return 结果
     */
    public int enableOutBoundByIds(Long[] ids);

    /**
     * 改变状态
     *
     * @param outBound
     * @return 结果
     */
    public int updateStatus(OutBound outBound);
}

